Subject: Updating 'new message' count dynamically

From: Matt Ackeret <[email-masked]>
Date: Tue, 24 Oct 2000 16:42:42 -0700 (PDT)

I've mentioned this before in passing in discussions of other problems/
suggestions, but here it is again on its own as an enhancement request..
(Well, I actually consider it a bug, but maybe others don't.)

The problem:
pine doesn't update its list of 'new' messages upon expunging or change of
status from another email program.  And yes, I do frequently use two email
programs (IMAP of course) on the same mailbox.  

The fix:
1) The "most noticable" fix, I would say, would be to
count_new_messages()  [I sure HOPE there's something at that granularity]
after pine has noticed that messages have been expunged..
(it prints the message at the bottom -- it must know somehow!)

2) also count_new_messages() when it notices status of messages
have changed (i.e. some went from new to non-new).

Hopefully someone can whip this out.

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------